GHSA-jh5x-hfhg-78jq

Suggest an improvement
Source
https://github.com/advisories/GHSA-jh5x-hfhg-78jq
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2021/04/GHSA-jh5x-hfhg-78jq/GHSA-jh5x-hfhg-78jq.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-jh5x-hfhg-78jq
Aliases
Published
2021-04-22T16:20:50Z
Modified
2024-02-22T05:42:40.772231Z
Severity
  • 7.8 (High) CVSS_V3 - CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS Calculator
Summary
Deserialization of Untrusted Data in Archive_Tar
Details

ArchiveTar through 1.4.10 allows an unserialization attack because phar: is blocked but PHAR: is not blocked. See: https://github.com/pear/ArchiveTar/issues/33

References

Affected packages

Packagist / pear/archive_tar

Package

Name
pear/archive_tar
Purl
pkg:composer/pear/archive_tar

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.4.11

Affected versions

1.*

1.3.11
1.3.12
1.3.13
1.3.14
1.3.15
1.3.16
1.4.0
1.4.1
1.4.2
1.4.3
1.4.4
1.4.5
1.4.6
1.4.7
1.4.8
1.4.9
1.4.10